Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::VScale Class Reference

A GtkVScale C++ wrapper class. More...

`#include <inti/gtk/scale.h>`

Inheritance diagram for Inti::Gtk::VScale:

List of all members.

## Public Member Functions

Constructors

- VScale ()
    Construct a new vertical scale.
- VScale (Adjustment &adjustment)
    Construct a new vertical scale with the specified adjustement.
- VScale (double min, double max, double step=1.0)
    Construct a new vertical scale that lets the user input a number between min and max (including min and max) with the increment step.
- virtual ~VScale ()
    Destructor.

Accessors

- GtkVScale * gtk_vscale () const
    Get a pointer to the GtkVScale structure.
- GtkVScaleClass * gtk_vscale_class () const
    Get a pointer to the GtkVScaleClass structure.
- operator GtkVScale * () const
    Conversion operator; safely converts a VScale to a GtkVScale pointer.

## Protected Member Functions

Constructors

- VScale (GtkVScale *vscale, bool reference=false)
    Construct a new VScale from an existing GtkVScale.

## Detailed Description

A GtkVScale C++ wrapper class.

The VScale widget is used to allow the user to select a value using a vertical slider. The position to show the current value, and the number of decimal places shown can be set using the parent Scale class's methods.

## Constructor & Destructor Documentation

Inti::Gtk::VScale::VScale | ( | GtkVScale * | vscale,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new VScale from an existing GtkVScale. Parameters:
  vscale | A pointer to a GtkVScale.
  reference | Set false if the initial reference count is floating, set true if it's not.
The vscale can be a newly created GtkVScale or an existing GtkVScale (see G::Object::Object).

Inti::Gtk::VScale::VScale | ( | Adjustment & | adjustment | ) | `[explicit]`

  | Construct a new vertical scale with the specified adjustement. Parameters:
  adjustment | The Adjustment which sets the range of the scale.

Inti::Gtk::VScale::VScale | ( | double | min,
|  | double | max,
|  | double | step = 1.0
| ) |

  | Construct a new vertical scale that lets the user input a number between min and max (including min and max) with the increment step. Parameters:
  min | The minimum value.
  max | The maximum value.
  step | The step increment (tick size) used with keyboard shortcuts.
The step must be nonzero; it's the distance the slider moves when using the arrow keys to adjust the scale value.

The documentation for this class was generated from the following file:

- scale.h

Main Page - Footer